Skip to main content
GET
/
gb
/
wage-types
/
{wage_type_code}
Get wage type by code
curl --request GET \
  --url https://dev.intermezzo.ai/gb/wage-types/{wage_type_code} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "wageTypeCode": "<string>",
  "name": "<string>",
  "category": "earnings",
  "description": "<string>",
  "status": "draft",
  "taxableStatus": "yes",
  "taxTiming": "on_payment",
  "rtiPaymentType": "<string>",
  "niClass": "class_1",
  "niEmployeeApplies": true,
  "niEmployerTreatment": "secondary",
  "isClass1AApplicable": true,
  "p11DReportableStatus": "yes",
  "pensionStatus": "scheme_defined",
  "isAeQualifying": true,
  "usesAeBands": true,
  "isHolidayPayIncluded": true,
  "isSalarySacrificeAllowed": true,
  "isNmwGuardRequired": true,
  "opraRule": "yes",
  "payrollingEligibleStatus": "yes",
  "usesOfficialInterestRate": true,
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "calculationVariants": [
    "<string>"
  ],
  "thresholds": {},
  "regularityWindowWeeks": 123,
  "regularityThresholdPeriods": 123,
  "legislativeSource": "<string>",
  "owner": "<string>",
  "reviewer": "<string>",
  "lastReviewedAt": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

wage_type_code
string
required

Query Parameters

effective_date
string<date> | null

Get version valid on date

Response

Successful Response

Response schema for GB wage type.

id
integer
required

Database ID

wageTypeCode
string
required

Business key (e.g., UK-E-003)

name
string
required

Display name

category
enum<string>
required

Wage type category

Available options:
earnings,
deductions,
benefits,
statutory,
pension,
contributions,
adjustments,
reimbursements
description
string
required

Description of the wage type

status
enum<string>
required

Lifecycle status

Available options:
draft,
approved,
deprecated
taxableStatus
enum<string>
required

Whether taxable under PAYE

Available options:
yes,
no,
conditional
taxTiming
enum<string>
required

When tax is applied

Available options:
on_payment,
on_accrual,
on_event
rtiPaymentType
string | null
required

RTI FPS payment type mapping

niClass
enum<string>
required

National Insurance class

Available options:
class_1,
class_1a,
none,
conditional
niEmployeeApplies
boolean
required

Whether employee NI applies

niEmployerTreatment
enum<string> | null
required

Employer NI treatment

Available options:
secondary,
class_1a,
none
isClass1AApplicable
boolean
required

Whether Class 1A NI applies

p11DReportableStatus
enum<string>
required

P11D reporting requirement

Available options:
yes,
no,
conditional
pensionStatus
enum<string>
required

Pension inclusion status

Available options:
scheme_defined,
yes,
no
isAeQualifying
boolean
required

Counts towards AE qualifying earnings

usesAeBands
boolean
required

Uses AE earnings bands

isHolidayPayIncluded
boolean
required

Include in holiday pay calculation

isSalarySacrificeAllowed
boolean
required

Can be salary sacrificed

isNmwGuardRequired
boolean
required

Requires NMW compliance check

opraRule
enum<string>
required

Optional Remuneration Arrangement rule

Available options:
yes,
no,
n/a
payrollingEligibleStatus
enum<string>
required

Can be payrolled

Available options:
yes,
no,
conditional
usesOfficialInterestRate
boolean
required

Uses HMRC official interest rate

validFrom
string<date> | null
validTo
string<date> | null
calculationVariants
string[] | null

Calculation method variants

thresholds
Thresholds · object

Applicable thresholds

regularityWindowWeeks
integer | null

Regularity detection window in weeks

regularityThresholdPeriods
integer | null

Regularity threshold periods

legislativeSource
string | null

Legislative reference

owner
string | null

Responsible owner

reviewer
string | null

Compliance reviewer

lastReviewedAt
string<date> | null

Last review date